/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Credits

#include "Credits.h"
#include "Acknowledgements.h"
#include "app_license.bin_inc"
#include "fa_license.bin_inc"
#include "ft2_license.bin_inc"
#include "fw_license.bin_inc"
#include "glfw_license.bin_inc"
#include "gm_license.bin_inc"
#include "ifch_license.bin_inc"
#include "imgui_license.bin_inc"
#include "nodes_license.bin_inc"
#include "nfd_license.bin_inc"
#include "tol_license.bin_inc"

namespace GameEngine {

void InitializeAcknowledgements()
{
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "EditorUI",
        "John Ryland",
        "Copyright (C) 2023",
        "The MIT License (MIT)",
        Utilities::make_sized_array(app_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Filewatch",
        "Thomas Monkman",
        "Copyright (C) 2017",
        "The MIT Locense (MIT)",
        Utilities::make_sized_array(fw_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Font Awesome",
        "TODO",
        "Copyright (C) TODO",
        "TODO license",
        Utilities::make_sized_array(fa_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Freetype 2",
        "David Turner, Robert Wilhelm, and Werner Lemberg",
        "Copyright (C) 2006-2023",
        "Freetype license",
        Utilities::make_sized_array(ft2_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "GLFW",
        "Marcus Geelnard and Camilla Löwy",
        "Copyright (C) 2002-2019",
        "Zlib license",
        Utilities::make_sized_array(glfw_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Generic Make",
        "John Ryland",
        "Copyright (C) 2021-2023",
        "BSD 2-Clause license",
        Utilities::make_sized_array(gm_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Icons Font Cpp Headers",
        "Juliette Foucaut and Doug Binks",
        "Copyright (C) 2017",
        "Zlib license",
        Utilities::make_sized_array(ifch_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Dear ImGui",
        "Omar Cornut",
        "Copyright (C) 2014-2023",
        "The MIT License (MIT)",
        Utilities::make_sized_array(imgui_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "ImGui Node Editor",
        "Michal Cichon",
        "Copyright (C) 2019",
        "The MIT License (MIT)",
        Utilities::make_sized_array(nodes_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Native File Dialog",
        "Frogtoss Games",
        "Copyright (C) 2014-2019",
        "Zlib license",
        Utilities::make_sized_array(nfd_license)
    });
    ApplicationFramework::Acknowledgements::Get().AddEntry(
    {
        "Tiny Obj Loader",
        "Syoyo Fujita and many contributors",
        "Copyright (C) 2012-2019",
        "The MIT License (MIT)",
        Utilities::make_sized_array(tol_license)
    });
}

} // GameEngine namespace
